go-unifi

Get User-Defined Firewall Policy Ordering

Retrieve user-defined firewall policy ordering for a specific source/destination zone pair.

GET
/v1/sites/{siteId}/firewall/policies/ordering

Retrieve user-defined firewall policy ordering for a specific source/destination zone pair.

X-Api-Key<token>

UniFi API key. Create one under Control Plane → Admins & Users → your admin → Create API Key (requires controller 9.0.114+).

In: header

Path Parameters

siteId*string

Query Parameters

sourceFirewallZoneId*string
destinationFirewallZoneId*string

Response Body

application/json

curl -X GET "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/firewall/policies/ordering?sourceFirewallZoneId=497f6eca-6276-4993-bfeb-53cbbbba6f08&destinationFirewallZoneId=497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "orderedFirewallPolicyIds": {    "beforeSystemDefined": [      "72c33bd6-cae5-43dc-be6c-2c74cbbc9ef5"    ],    "afterSystemDefined": [      "ae773fbb-9b37-4449-b303-02ad78b585ef"    ]  }}